<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: magpar - Parallel Finite Element Micromagnetics Package</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li class="current"><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>magpar - Parallel Finite Element Micromagnetics Package </h1><h3 class="version">Version 0.9 Build 3061M </h3><dl class="author"><dt><b>Author:</b></dt><dd>Werner Scholz <br/>
 <a href="http://www.magpar.net/">http://www.magpar.net/</a></dd></dl>
<dl class="version"><dt><b>Version:</b></dt><dd><div class="fragment"><pre class="fragment">#define MAGPAR_VERSION "0.9"
</pre></div> <div class="fragment"><pre class="fragment">#define MAGPAR_REVISION "3061M"
</pre></div></dd></dl>
<dl class="warning"><dt><b>Warning:</b></dt><dd>This software is still in experimental stage. Use at your own risk.</dd></dl>
<h2><a class="anchor" id="documentation">
Documentation</a></h2>
<p>If you use magpar and publish results, which have been obtained/derived from its simulations, please cite the paper given on the <a class="el" href="publications.html">Publications</a> page and drop me a note at magpar(at)magpar.net.</p>
<ul>
<li><a class="el" href="intro.html">Introduction</a></li>
<li><a class="el" href="features.html">Features</a></li>
<li><a class="el" href="changes.html">ChangeLog</a></li>
<li><a class="el" href="structure.html">Structure</a></li>
<li><a class="el" href="performance.html">Performance</a></li>
<li><a class="el" href="machines.html">Supported Machines</a></li>
<li><a class="el" href="required.html">Required Software</a></li>
<li><a class="el" href="liblicenses.html">Licenses</a></li>
<li><a class="el" href="install.html">Installation</a></li>
<li><a class="el" href="faq.html">FAQ</a></li>
<li><a class="el" href="preprocessing.html">Preprocessing</a></li>
<li><a class="el" href="input.html">Input Files for Simulations</a></li>
<li><a class="el" href="output.html">Output Files of Simulations</a></li>
<li><a class="el" href="examples.html">Examples</a></li>
<li><a class="el" href="postprocessing.html">Postprocessing</a></li>
<li><a class="el" href="tools.html">Tools</a></li>
<li><a class="el" href="publications.html">Publications</a></li>
<li><a class="el" href="bug.html">Programming, Debugging, Bug Reporting</a></li>
</ul>
<ul>
<li><a class="el" href="magconv.html">Magnetic Unit Converter</a></li>
<li><a class="el" href="demagcalc.html">Calculator for magnetostatic energy and demagnetizing factor</a></li>
</ul>
<p>This reference manual is also available in <a href="../magpar.pdf">PDF format</a> (without figures though).</p>
<hr/>
<h2><a class="anchor" id="license">
License</a></h2>
<p>magpar is distributed under the terms of the <a class="el" href="gpl.html">GNU General Public License</a></p>
<div class="fragment"><pre class="fragment">
  Copyright (C) 2002-2010 Werner Scholz

  www:   http://www.magpar.net/
  email: magpar(at)magpar.net

  magpar is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  magpar is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with magpar; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
</pre></div><hr/>
<h2><a class="anchor" id="acknowledgment">
Acknowledgment</a></h2>
<p>I would like to gratefully acknowledge the encouragement and support of my supervisors Josef Fidler and Thomas Schrefl from the <a href="http://magnet.atp.tuwien.ac.at/">Advanced Magnetism Group</a> at the <a href="http://www.tuwien.ac.at/">Vienna University of Technology</a>.</p>
<p>My friends and colleagues Dieter Suess, Rok Dittrich, Hermann Forster, Vassilios Tsiantos and Thorsten Matthias supported me with many tips and tricks.</p>
<p>In addition I would like to thank Roy Chantrell for his encouragement, which finally motivated me to implement this package.  
<img border="0" src="http://www.magpar.net/static/wb1.gif" alt="" height="1" width="1">
 </div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

